For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add handling action to order item

Add handling action to order item

Required permissions: SALES_ORDER,RETURN_ORDER

post
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
orderItemUidstringRequired

Reference to an order item on an order.

Pattern: ^[A-Za-z0-9-_]+
Body
commentstringOptional
handlingActionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
handlingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderHandlingActionUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
commentstringRequired
createdAtstring · date-timeRequired
createdBystringRequired
handlingActionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
handlingActionNamestringRequired
handlingDescriptionstringRequired
handlingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
handlingNamestringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
orderHandlingActionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 98

{
  "comment": "text",
  "handlingActionUid": "text",
  "handlingUid": "text",
  "orderHandlingActionUid": "text"
}
200

Example response

{
  "comment": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "handlingActionUid": "text",
  "handlingActionName": "text",
  "handlingDescription": "text",
  "handlingUid": "text",
  "handlingName": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "orderHandlingActionUid": "text"
}

Last updated

Was this helpful?